package com.iamberry.wechat.core.entity.product;

import com.iamberry.wechat.core.entity.PageBean;

import java.util.Date;

/**
 * Created by Administrator on 2017/8/16.
 */
public class QrcodeGift implements java.io.Serializable {

    private static final long serialVersionUID = -4719516119557478524L;

    private Integer qrcodeId;           //id

    private Integer qrcodeColorId;      //商品颜色id

    private String qrcodeName;          //商品名称

    private String qrcodeColorName;     //商品颜色名称

    private String qrcodePreGiftColor;  //优惠二维码礼品颜色id

    private String qrcodeSalesGiftColor;//购买二维码礼品颜色id

    private Integer qrcodePreDiscount;  //优惠二维码优惠价

    private Integer qrcodeSalesDiscount;//购买二维码优惠价

    private Integer qrcodeStatus;       //状态

    private String qrcodeDesc;          //描述

    private Date qrcodeCreateTime;      //创建时间

    private PageBean page;              //分页

    public PageBean getPage() {
        return page;
    }

    public String getQrcodeName() {
        return qrcodeName;
    }

    public void setQrcodeName(String qrcodeName) {
        this.qrcodeName = qrcodeName;
    }

    public String getQrcodeColorName() {
        return qrcodeColorName;
    }

    public void setQrcodeColorName(String qrcodeColorName) {
        this.qrcodeColorName = qrcodeColorName;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public Integer getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Integer qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public Integer getQrcodeColorId() {
        return qrcodeColorId;
    }

    public void setQrcodeColorId(Integer qrcodeColorId) {
        this.qrcodeColorId = qrcodeColorId;
    }

    public String getQrcodePreGiftColor() {
        return qrcodePreGiftColor;
    }

    public void setQrcodePreGiftColor(String qrcodePreGiftColor) {
        this.qrcodePreGiftColor = qrcodePreGiftColor;
    }

    public String getQrcodeSalesGiftColor() {
        return qrcodeSalesGiftColor;
    }

    public void setQrcodeSalesGiftColor(String qrcodeSalesGiftColor) {
        this.qrcodeSalesGiftColor = qrcodeSalesGiftColor;
    }

    public Integer getQrcodePreDiscount() {
        return qrcodePreDiscount;
    }

    public void setQrcodePreDiscount(Integer qrcodePreDiscount) {
        this.qrcodePreDiscount = qrcodePreDiscount;
    }

    public Integer getQrcodeSalesDiscount() {
        return qrcodeSalesDiscount;
    }

    public void setQrcodeSalesDiscount(Integer qrcodeSalesDiscount) {
        this.qrcodeSalesDiscount = qrcodeSalesDiscount;
    }

    public Integer getQrcodeStatus() {
        return qrcodeStatus;
    }

    public void setQrcodeStatus(Integer qrcodeStatus) {
        this.qrcodeStatus = qrcodeStatus;
    }

    public String getQrcodeDesc() {
        return qrcodeDesc;
    }

    public void setQrcodeDesc(String qrcodeDesc) {
        this.qrcodeDesc = qrcodeDesc;
    }

    public Date getQrcodeCreateTime() {
        return qrcodeCreateTime;
    }

    public void setQrcodeCreateTime(Date qrcodeCreateTime) {
        this.qrcodeCreateTime = qrcodeCreateTime;
    }
}
